import { ref } from "vue";

const statusBarHeight = ref(0);
const navBarHeight = 44;
const windowHeight = ref(0);
const screenWidth = ref(0);
const safeAreaBottom = ref(0);

export default () => {
  const setSystemInfos = () => {
    const res = uni.getSystemInfoSync();
    statusBarHeight.value = res.statusBarHeight;
    windowHeight.value = res.windowHeight;
    screenWidth.value = res.screenWidth;
    safeAreaBottom.value = res.screenHeight - res.safeArea.bottom;
  };

  return {
    setSystemInfos,
    statusBarHeight,
    navBarHeight,
    windowHeight,
    screenWidth,
    safeAreaBottom,
  };
};
